<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
      <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_vars_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_vars_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_vars_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_vars_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_vars_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_vars_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_vars_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_vars_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>image
: <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a5bef16cb8b48f9d05e74f97d050fc095">tivx_obj_desc_shm_entry_t</a>
, <a class="el" href="structtivx__object__t.html#a149f13c93a0d45fbb2d18234a88f2e22">tivx_object_t</a>
</li>
<li>imagepatch_addr
: <a class="el" href="structtivx__obj__desc__image__t.html#a4b82e50bb7c4e11eb776488f7221676e">tivx_obj_desc_image_t</a>
</li>
<li>img
: <a class="el" href="structtivx__meta__format__t.html#a32fefe8828514242a5ee8bf4f59a2a3b">tivx_meta_format_t</a>
, <a class="el" href="structtivx__pyramid__t.html#a0e233285980738b70329c48023633234">tivx_pyramid_t</a>
</li>
<li>imm_border
: <a class="el" href="structtivx__context__t.html#a98c01eaf0e02d38860b0383da42a9384">tivx_context_t</a>
</li>
<li>imm_border_policy
: <a class="el" href="structtivx__context__t.html#a27203bbf2d4199c5f05ac8d848627d32">tivx_context_t</a>
</li>
<li>imm_target_enum
: <a class="el" href="structtivx__context__t.html#a581ce38512392c7b82a361c8275cf4e0">tivx_context_t</a>
</li>
<li>imm_target_string
: <a class="el" href="structtivx__context__t.html#ac365eedda77371d68829186141d63892">tivx_context_t</a>
</li>
<li>in_node_id
: <a class="el" href="structtivx__obj__desc__node__t.html#a6978fe4f16c4b3af539ff2b13ca270cb">tivx_obj_desc_node_t</a>
</li>
<li>in_valid_rect
: <a class="el" href="structtivx__graph__t.html#a4a34b5faf7a0efe3107d19c5c44bf6ad">tivx_graph_t</a>
</li>
<li>in_valid_rect_ptr
: <a class="el" href="structtivx__graph__t.html#a56cb0985d8f8c6c3f07e6121223dd7f7">tivx_graph_t</a>
</li>
<li>incounter
: <a class="el" href="structtivx__node__t.html#ad252d988ed09a3bbc49f2f13aaed2984">tivx_node_t</a>
</li>
<li>index
: <a class="el" href="structtivx__delay__t.html#ae12c417e4bfcc107a3a4233888e0a6ff">tivx_delay_t</a>
, <a class="el" href="structtivx__graph__t.html#ad8dfe96274e1549c761ee11142f1739c">tivx_graph_t</a>
, <a class="el" href="structtivx__parameter__t.html#a352a2b9989e9d4bdec5e415012bc14a7">tivx_parameter_t</a>
, <a class="el" href="structtivx__target__kernel__instance__t.html#a5c6d1ed9b496233a3417715246f6a86c">tivx_target_kernel_instance_t</a>
, <a class="el" href="structtivx__delay__param__t.html#a49b4daf16b75b949599cd45eff992efd">tivx_delay_param_t</a>
</li>
<li>initialize
: <a class="el" href="structtivx__kernel__t.html#acb2f9143dfc6c1d30dd29f28f4ee9742">tivx_kernel_t</a>
</li>
<li>internal_count
: <a class="el" href="structtivx__reference__t.html#a6f9a5f3dcba8c5228dca31493f98f742">tivx_reference_t</a>
</li>
<li>is_accessible
: <a class="el" href="structtivx__reference__t.html#afcce2c06f3667f29ef1688dbd8542f05">tivx_reference_t</a>
</li>
<li>is_kernel_created
: <a class="el" href="structtivx__node__t.html#af72de0f7d6d4542d102e63977ba9d45a">tivx_node_t</a>
</li>
<li>is_loaded
: <a class="el" href="structtivx__module__t.html#ad78af11bb66af2342e4c3e05fc112891">tivx_module_t</a>
</li>
<li>is_prm_replicated
: <a class="el" href="structtivx__obj__desc__node__t.html#a06dfb149b449a526efe33871be6ec14f">tivx_obj_desc_node_t</a>
</li>
<li>is_target_kernel
: <a class="el" href="structtivx__kernel__t.html#aae966b4e2d599a0af197c4dd117c1ba7">tivx_kernel_t</a>
</li>
<li>is_virtual
: <a class="el" href="structtivx__reference__t.html#ae599ad74e0f2733829ae0e99c666a1fc">tivx_reference_t</a>
</li>
<li>isArrayUse
: <a class="el" href="structtivx__object__t.html#a81f7486fe88b0b82e29b9c4617bfd42e">tivx_object_t</a>
</li>
<li>isContextUse
: <a class="el" href="structtivx__object__t.html#a5f6c79df2e7c4fc0fa177c2e24b4aa3d">tivx_object_t</a>
</li>
<li>isConvolutionUse
: <a class="el" href="structtivx__object__t.html#ae2e65b300a4f8ab37e303321281c902d">tivx_object_t</a>
</li>
<li>isDelayUse
: <a class="el" href="structtivx__object__t.html#a5d45bdf46f9d21bab308177494490f87">tivx_object_t</a>
</li>
<li>isDistributionUse
: <a class="el" href="structtivx__object__t.html#a8ff38d21bd815338c8953034e2c6f06a">tivx_object_t</a>
</li>
<li>isErrorUse
: <a class="el" href="structtivx__object__t.html#a3e66075dcf4dbc74ca7446c353171055">tivx_object_t</a>
</li>
<li>isGraphUse
: <a class="el" href="structtivx__object__t.html#a2e5f7b973838cc460f726a3a29cc51ab">tivx_object_t</a>
</li>
<li>isImageUse
: <a class="el" href="structtivx__object__t.html#aa3315e8b2e685aacc0300a25868512ae">tivx_object_t</a>
</li>
<li>isKernelUse
: <a class="el" href="structtivx__object__t.html#a166decdc785295da0b6fbdddcd75ab9c">tivx_object_t</a>
</li>
<li>isLutUse
: <a class="el" href="structtivx__object__t.html#a3035eb28c4e519245061a11fb649f807">tivx_object_t</a>
</li>
<li>isMatrixUse
: <a class="el" href="structtivx__object__t.html#ad8213cdbbbc292c44e6c04b29f83e584">tivx_object_t</a>
</li>
<li>isMfUse
: <a class="el" href="structtivx__object__t.html#a709f5adb2fb7f92fe88ae62040f9aee6">tivx_object_t</a>
</li>
<li>isNodeUse
: <a class="el" href="structtivx__object__t.html#a4ea30dd8d2b0b6f7637ed35f1c43622a">tivx_object_t</a>
</li>
<li>isObjArrUse
: <a class="el" href="structtivx__object__t.html#a2d7af334ec68a8d0706c79f153a6cc5c">tivx_object_t</a>
</li>
<li>isParameterUse
: <a class="el" href="structtivx__object__t.html#adc9d4e03b77ece80b4566826772c6161">tivx_object_t</a>
</li>
<li>isPyramidUse
: <a class="el" href="structtivx__object__t.html#a1da9cf4235c48662af380b2e90d9d9c2">tivx_object_t</a>
</li>
<li>isRemapUse
: <a class="el" href="structtivx__object__t.html#a9bbb079a03251f53a9e93205c01c28e9">tivx_object_t</a>
</li>
<li>isScalarUse
: <a class="el" href="structtivx__object__t.html#a31e17b63fd4f87410664bcbc69da6121">tivx_object_t</a>
</li>
<li>isThresholdUse
: <a class="el" href="structtivx__object__t.html#a849f9bb93c6871b3ea1b435d7629b95d">tivx_object_t</a>
</li>
<li>item_size
: <a class="el" href="structtivx__obj__desc__lut__t.html#ac1efdd011919d9937247a489f3328f41">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__array__t.html#a5f5be8c6c9e3f2b32f0509997848aa6d">tivx_obj_desc_array_t</a>
</li>
<li>item_type
: <a class="el" href="structtivx__obj__desc__array__t.html#a09e8729e0d2cb1225e1b189b90afa6e9">tivx_obj_desc_array_t</a>
, <a class="el" href="structtivx__obj__desc__lut__t.html#a246616705e5f2ad0e6549d8aa0fd9147">tivx_obj_desc_lut_t</a>
, <a class="el" href="structtivx__obj__desc__objarray__t.html#a7d77b6a29034b5eeba697a8b67820873">tivx_obj_desc_objarray_t</a>
, <a class="el" href="structtivx__meta__format__t_1_1object__array.html#a883b42915b27969a837c52cc750f1f55">tivx_meta_format_t::object_array</a>
, <a class="el" href="structtivx__meta__format__t_1_1array.html#aa4193ebc304afe5b989735e7dad95583">tivx_meta_format_t::array</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
